Page MenuHomePhabricator

Workshop: Doing Research on Wikimedia things as a volunteer - tools and communities
Closed, ResolvedPublic

Description

Since a lot of researchers show up at these events, and many do not know the huge array of research tools we have. We'll introduce a set of datasources and explain what types of questions each datasource is best suited for. We'll also cover a host of tools and libraries designed to make analysis easier. Finally, we'll demonstrate an example project that makes use of multiple datasources. After the demonstration, participants will be encouraged to explore and start their own work. Organizers will be available to answer questions.

Tools

  • Quarry
  • pywikibot
  • MediaWiki Utilities
  • WikiBrainAPI
  • ORES

Datasources

  • LabsDB
  • XML dumps
  • MediaWiki API
  • Curated datasets
    • Scholarly citations
    • Clickstream
    • Article Feedback
    • Teahouse corpus
    • Reverts

Note that this workshop would serve a dual purpose. (1) to support a the work of Wikipedian Researchers (the type of researchers who come to Wikimania) (2) to identify pain points in using datasets and tools and prioritize solving them.

Event Timeline

yuvipanda claimed this task.
yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
Halfak updated the task description. (Show Details)Feb 27 2015, 1:52 PM
Halfak set Security to None.
Halfak updated the task description. (Show Details)
scfc moved this task from Triage to Backlog on the Toolforge board.Mar 2 2015, 3:33 AM
scfc triaged this task as Medium priority.Apr 7 2015, 4:43 AM
scfc added a subscriber: scfc.
Qgil added a subscriber: Qgil.Jul 3 2015, 10:26 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 3 2015, 10:26 AM
Halfak updated the task description. (Show Details)Jul 6 2015, 2:42 PM

Yes! @Halfak when would be a good time for you? I was thinking of a 1hour thing on day one...

Halfak added a comment.Jul 7 2015, 6:31 PM

@yuvipanda I don't have anything scheduled yet, so that would work for me.

yuvipanda renamed this task from Conduct a research tools workshop at wikimania hackathon 2015 to Workshop: Doing Research on Wikimedia things as a volunteer - tools and communities.Jul 10 2015, 1:46 PM

@Halfak have scheduled this for wednesday 3pm :)

Lynhg added a subscriber: Lynhg.Jul 15 2015, 5:10 AM

What is the status of this task, now that Wikimania 2015 is over? Did this training session take place? If yes: Please provide an update and potentially summarize findings / potentially provide a link to anything relevant. If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task / potentially close this task by editing its status. Thanks for your help and keeping this task updated!

yuvipanda closed this task as Resolved.Jul 24 2015, 3:44 AM